<template>
    <div class="subject">
        <div class="subjectBox" :style="bgStyle">
            <h2>{{subjectName}}</h2>
            <p>{{location}}</p>
            <p>{{time}} น.</p>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Subject',
    props: [
        'subjectName',
        'location',
        'time',
        'bgColor'
    ],
    data: function() {
        return {
        }
    },
    computed: {
        bgStyle() {
            return {
                '--background-color': this.bgColor
            }
        }
    }
}
</script>

<style lang="scss" scoped>

.subject {
    margin-bottom: 1rem;
}

.subjectBox {
    width: 100%;
    //border: 1px solid black;
    background-color: var(--background-color);
    border-radius: 0.5rem;
    padding-top: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 2px 6px 0 rgba(0, 0, 0, 0.19);
}

.subjectBox:hover {
    cursor: pointer;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 5px 15px 0 rgba(0, 0, 0, 0.19);
}

.subjectBox p  {
    margin: 0;
    padding: 0;
}

.subjectBox h2 {
    margin: 0;
    padding: 0;
    margin-bottom: 0.5rem;
}
</style>